# -*- coding: utf-8 -*-
"""
Created on Mon Dec 18 09:36:43 2017

@author: af5u13
"""

from helper.vectorFunctions import normalise

import numpy as np

def rv( g, L ):
    rVec = L @ g.T
    mag = np.sum( g, axis = -1 )
    rv = rVec / mag
    rvDir = normalise( rv, norm=2, axis=0 )
    rvMag = np.linalg.norm( rv, ord=2, axis = 0 )
    return rv, rvDir, rvMag

def re( g, L ):
    rVec = L @ (g**2).T
    magSqr = np.sum( g**2, axis = -1 )
    re = rVec / magSqr
    reDir = normalise( re, norm=2, axis=0 )
    reMag = np.linalg.norm( re, ord=2, axis = 0 )
    return re, reDir, reMag

def rvMag( g, L ):
    rVec = L @ g.T
    mag = np.sum( g, axis = 1 )
    rv = np.linalg.norm( rVec, ord=2, axis = 0)
    return rv / mag

def reMag( g, L ):
    rVec = L @ (g**2).T
    magSq = np.sum( g**2, axis = 1 )
    rv = np.linalg.norm( rVec, ord=2, axis = 0)
    return rv / magSq
